Package net.shibboleth.shared.spring.factory

# Class AbstractFactoryBean.EarlySingletonInvocationHandler

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean.EarlySingletonInvocationHandler

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  AbstractFactoryBean<T>

private class AbstractFactoryBean.EarlySingletonInvocationHandler extends Object implements InvocationHandler
Reflective InvocationHandler for lazy access to the actual singleton object.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`EarlySingletonInvocationHandler()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`invoke(Object proxy, Method method, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EarlySingletonInvocationHandler

private EarlySingletonInvocationHandler()

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`